'use strict';

var openai = require('@langchain/openai');
var pluginRagAiBackendRetrievalAugmenter = require('@alithya-oss/plugin-rag-ai-backend-retrieval-augmenter');

class RoadieOpenAiAugmenter extends pluginRagAiBackendRetrievalAugmenter.DefaultVectorAugmentationIndexer {
  constructor(config) {
    const embeddings = new openai.OpenAIEmbeddings({
      configuration: {
        baseURL: config.config.baseUrl ? config.config.baseUrl : "https://api.openai.com/v1",
        apiKey: config.config.openAiApiKey ?? config.config.apiKey
        // In Node.js defaults to process.env.OPENAI_API_KEY
      },
      openAIApiKey: config.config.openAiApiKey ?? config.config.apiKey,
      // In Node.js defaults to process.env.OPENAI_API_KEY
      batchSize: config.config.batchSize,
      // Default value if omitted is 512. Max is 2048
      modelName: config.config.modelName ? config.config.modelName : "text-embedding-3-small",
      dimensions: config.config.embeddingsDimensions
    });
    super({ ...config, embeddings });
  }
}

exports.RoadieOpenAiAugmenter = RoadieOpenAiAugmenter;
//# sourceMappingURL=RoadieOpenAiAugmenter.cjs.js.map
